# Class SamHeaderRecordSq

java.lang.Object
org.snpeff.sam.SamHeaderRecord
org.snpeff.sam.SamHeaderRecordSq

public class SamHeaderRecordSq extends SamHeaderRecord
SQ header: Reference sequence dictionary. The order of @SQ lines defines the alignment sorting order.

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`SamHeaderRecordSq(String line)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAssembly()`
`int`
`getLength()`
`String`
`getMd5()`
`String`
`getSequenceName()`
`String`
`getSpecies()`
`String`
`getUri()`
`protected void`
`init()`
Initialize records before parsing
`protected void`
`parseField(String tag, String value)`
Parse a field for this record
`String`
`toString()`

### Methods inherited from class SamHeaderRecord

`getRecordTypeCode, parse`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SamHeaderRecordSq

public SamHeaderRecordSq(String line)

## Method Details

### getAssembly

public String getAssembly()

### getLength

public int getLength()

### getMd5

public String getMd5()

### getSequenceName

public String getSequenceName()

### getSpecies

public String getSpecies()

### getUri

public String getUri()

### init

protected void init()
Description copied from class: `SamHeaderRecord`
Initialize records before parsing

Overrides:
  `init` in class `SamHeaderRecord`

### parseField

protected void parseField(String tag, String value)
Description copied from class: `SamHeaderRecord`
Parse a field for this record

Specified by:
  `parseField` in class `SamHeaderRecord`
Parameters:
  `tag` -
  `value` -

### toString

public String toString()

Overrides:
  `toString` in class `Object`